%define major	6
%define libname	%mklibname sm %{major}
%define devname	%mklibname sm -d

Name:		libsm
Summary: 	X Session Management Library
Version:	1.2.6
Release:	%mkrel 1
Group:		Development/X11
License:	MIT
URL:		https://xorg.freedesktop.org
Source0:	https://xorg.freedesktop.org/releases/individual/lib/libSM-%{version}.tar.xz

BuildRequires:	pkgconfig(ice) >= 1.0.0
BuildRequires:	x11-proto-devel >= 1.0.0
BuildRequires:	x11-util-macros >= 1.0.1
BuildRequires:	pkgconfig(xtrans) >= 1.0.0
BuildRequires:	pkgconfig(uuid)

%description
This is the X Session Management Library.

#-----------------------------------------------------------

%package -n	%{libname}
Summary:	X Session Management Library
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n %{libname}
This is the X Session Management Library.

#-----------------------------------------------------------

%package -n	%{devname}
Summary:	Development files for %{name}
Group:		Development/X11
Requires:	%{libname} = %{version}-%{release}
Provides:	libsm-devel = %{version}-%{release}

%description -n %{devname}
Development files for %{name}.

#-----------------------------------------------------------

%prep
%setup -q -n libSM-%{version}

%build
%configure	\
	--x-includes=%{_includedir} \
	--x-libraries=%{_libdir} \
	--disable-static

%make_build

%install
%make_install

mv %{buildroot}%{_defaultdocdir}/libSM installed-docs

%files -n %{devname}
%doc installed-docs/*
%{_libdir}/libSM.so
%{_libdir}/pkgconfig/sm.pc
%{_includedir}/X11/SM/SM.h
%{_includedir}/X11/SM/SMlib.h
%{_includedir}/X11/SM/SMproto.h

%files -n %{libname}
%{_libdir}/libSM.so.%{major}{,.*}


%changelog
* Wed Mar 26 2025 daviddavid <daviddavid> 1.2.6-1.mga10
+ Revision: 2170023
- new version 1.2.6

* Wed Jan 01 2025 daviddavid <daviddavid> 1.2.5-1.mga10
+ Revision: 2134579
- new version: 1.2.5

* Wed Jan 18 2023 luigiwalser <luigiwalser> 1.2.4-1.mga9
+ Revision: 1934189
- 1.2.4

* Tue Mar 29 2022 umeabot <umeabot> 1.2.3-3.mga9
+ Revision: 1833457
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 1.2.3-2.mga8
+ Revision: 1519453
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Tue Oct 16 2018 tv <tv> 1.2.3-1.mga7
+ Revision: 1320823
- new release

* Sun Sep 23 2018 umeabot <umeabot> 1.2.2-7.mga7
+ Revision: 1299152
- Mageia 7 Mass Rebuild

* Thu Feb 11 2016 umeabot <umeabot> 1.2.2-6.mga6
+ Revision: 955648
- Mageia 6 Mass Rebuild

* Sat Aug 22 2015 akien <akien> 1.2.2-5.mga6
+ Revision: 868083
- Rebuild for gcc 5.2.1

* Wed Oct 15 2014 umeabot <umeabot> 1.2.2-4.mga5
+ Revision: 748225
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.2-3.mga5
+ Revision: 681786
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.2.2-2.mga4
+ Revision: 534446
- Mageia 4 Mass Rebuild

* Thu Sep 12 2013 tv <tv> 1.2.2-1.mga4
+ Revision: 477917
- new release

* Fri Feb 08 2013 luigiwalser <luigiwalser> 1.2.1-4.mga3
+ Revision: 397143
- remove obsolete pre script

* Sat Jan 12 2013 umeabot <umeabot> 1.2.1-3.mga3
+ Revision: 358172
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Aug 23 2012 blino <blino> 1.2.1-2.mga3
+ Revision: 283248
- use system libuuid instead of internal uuid generation

* Mon Mar 05 2012 tv <tv> 1.2.1-1.mga2
+ Revision: 218460
- new release

* Fri Dec 16 2011 wally <wally> 1.2.0-4.mga2
+ Revision: 182784
- add back general provides to lib pkg

* Fri Dec 16 2011 wally <wally> 1.2.0-3.mga2
+ Revision: 182640
- remove major from -devel pkg name
- drop .la files
- disable static build
- move docs to -devel pkg

* Sat Jan 08 2011 blino <blino> 1.2.0-2.mga1
+ Revision: 1073
- remove old ldconfig scriptlets
- imported package libsm


* Thu Oct 28 2010 Thierry Vignaud <tv@mandriva.org> 1.2.0-1mdv2011.0
+ Revision: 589800
- new release
- new release

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 1.1.1-2mdv2010.1
+ Revision: 520908
- rebuilt for 2010.1

* Sat Aug 08 2009 Frederik Himpe <fhimpe@mandriva.org> 1.1.1-1mdv2010.0
+ Revision: 411530
- Update to new version 1.1.1

* Tue Jul 15 2008 Ander Conselvan de Oliveira <ander@mandriva.com> 1.1.0-1mdv2009.0
+ Revision: 236193
- Compile without libuuid
- Update to version 1.1.0

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Jun 02 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.0.3-4mdv2009.0
+ Revision: 214370
- Rebuild to match changes in xtrans.
- Revert build requires.

* Mon Jan 14 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.0.3-3mdv2008.1
+ Revision: 151480
- Update BuildRequires and rebuild.

* Sun Jan 13 2008 Thierry Vignaud <tv@mandriva.org> 1.0.3-2mdv2008.1
+ Revision: 150828
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon May 14 2007 Thierry Vignaud <tv@mandriva.org> 1.0.3-1mdv2008.0
+ Revision: 26644
- new release


* Fri Mar 16 2007 Colin Guthrie <cguthrie@mandriva.org> 1.0.1-3mdv2007.1
+ Revision: 144824
- Rebuild to allow automated pkgconfig Provides: to be added.

  + Gustavo Pichorim Boiko <boiko@mandriva.com>
    - rebuild to fix cooker uploading
    - X11R7.1
    - increment release
    - fixed more dependencies
    - Adding X.org 7.0 to the repository

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix description

